Bug 498939 - When pointer returns to primary screen, the screen sometimes locks
When pointer returns to primary screen, the screen sometimes locks
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 10:41 EDT by Marc Milgram
Modified: 2010-05-04 06:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-04 06:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Milgram 2009-05-04 10:41:24 EDT
Description of problem:
After pointing to the screen on a secondary computer, I move the pointer to the screen on the primary computer.  The screen immediately locks (gnome-screensaver kicks in).

Version-Release number of selected component (if applicable):
synergy-1.3.1-12.fc11.x86_64
gnome-screensaver-2.26.1-2.fc11.x86_64


How reproducible:
Frequently

Steps to Reproduce:
1. Set up synergy to work with 2 computers - primary running synergys, secondary running synergyc.
2. Using the mouse on the primary computer, point to the screen on the secondary computer.
3. Wait a while (or do work), but don't move the pointer back to the primary screen for quite a while.
4. Move the pointer back to the primary screen.
  
Actual results:
Screensaver is activated on the primary screen when the pointer moves to this screen.

Expected results:
Screensaver is not activated by the pointer moving to the screen.

Additional info:
This may be related to bz 498932
Comment 1 Bug Zapper 2009-06-09 11:07:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Saou 2009-10-06 14:44:25 EDT
I've packaged and imported synergy-plus in Fedora recently. It's a fork of synergy which focused on bug fixes for the current release. Note that you'll need to uninstall synergy first since the binary names conflict. From my limited testing, it's fully compatible with the old synergy.

Could you try it and see if it fixes this issue?
Comment 3 Marc Milgram 2009-10-06 16:02:40 EDT
I tried it with F11 synergy-plus running synergys and RHEL 5.3 synergy running synergyc.  It is still broken.
Comment 4 Bug Zapper 2010-04-27 10:06:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matthias Saou 2010-05-04 06:02:33 EDT
As the initial comment mentions, this might be related to #498932. The same resolution applies : Please try the screenSaverSync option as a possible workaround, or wait for upstream to clean up the screensaver related code from synergy+ (I'm fairly sure that if they start using dbus, things could "just work" again).

Note You need to log in before you can comment on or make changes to this bug.